<!DOCTYPE html>

<html lang="en">

<head>

  <meta http-equiv="content-type" content="text/html; charset=UTF-8">

  <title>{{ title }}</title>

  <meta name="description" content="[page title]">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <link rel="stylesheet" type="text/css" href="css/reset.css" />
  <link rel="stylesheet" type="text/css" href="css/main.css" />

</head>

<body class="{% if display == 'both' or display == 'grid' %}grid{% endif %}">

  {% if display == 'both' %}
  <aside class="controls">
    <button id="list-grid-toggle" onclick="document.body.classList.toggle('grid');">
      <span class="list-grid-toggle__list">list</span>
      <span>&lrarr;</span>
      <span class="list-grid-toggle__grid">grid</span>
    </button>
  </aside>
  {% endif %}

  {% if title or intro %}
  <header>
    {% if title %}<h1>{{ title }}</h1>{% endif %}
    {% if intro %}{{ intro }}{% endif %}
  </header>
  {% endif %}

  <main>

    {% for list_name, list in music_lists.items() %}
      <section id="{{ list_name }}">

        <h2>{{ list_name }}</h2>
        {% if list.description %}<p>{{ list.description }}</p>{% endif %}

        {% if list.music %}
        <ul class="music-list">
          {% for music in list.music %}

            <li 
              class="music 
                    {% if music.type %}{{ music.type|lower }}{% endif %} 
                    {% if music.single_track %}single-track{% endif %}" 
              id="{{ music.id }}">

              {% if display != 'list' and not music.single_track %}
                <figure class="music__cover {% if music.cover.type == 'default' %}no-cover{% endif %}">
                  {% if music.cover.type == 'image' %}
                  <img
                    sizes="(max-width: 450px) 100vw, 450px"
                    srcset="{{ music.cover.formats|join(', ') }}"
                    src="{{ music.cover.default_format }}"
                    alt="cover art for {{ music.name }} by {{ music.artist|join(', ') }}">
                  {% endif %}
                </figure>
              {% endif %}

              <section class="music__info">

                <section class="primary-info">
                  <h3 class="music__name">{{ music.name }}</h3>
                  <h4 class="music__artist">
                    <ul class="comma-list">
                      {% for artist in music.artist %}<li>{{ artist }}</li>{% endfor %}
                    </ul>
                  </h4>
                </section>

                {% if music.link %}
                  <div class="music__link">
                    <a  
                      title="external link for {{ music.name }} by {{ music.artist|join(', ') }}" 
                      href="{{ music.link }}" 
                      target="_blank">
                        ▶
                    </a>
                  </div>
                {% endif %}

                <section class="secondary-info smaller">

                  {% if not music.single_track %}

                    {% if music.type %}
                      <div class="music__type">
                        [ {{music.type}} ]
                      </div>
                    {% endif %}
                    <div class="music__release-info">
                      {% if music.date %}
                        <time class="release-info__date" datetime="{{ music.date.isoformat() }}">
                          {{ music.date.strftime('%B %Y') }}
                        </time>
                      {% endif %}
                      {% if music.labels %}
                        <span class="release-info__labels">
                          on label(s)
                          <ul class="comma-list">
                            {% for label in music.labels %}<li>{{ label }}</li>{% endfor %}
                          </ul>
                        </span>
                      {% endif %}
                    </div>
  
                  {% else %}
                    <div class="music__type">
                      [ Track ]
                    </div>
                    <div class="music__recording-info">
                      {% if music.releases %}
                        <span class="recording-info__releases">
                          on record(s)
                          <ul class="comma-list">
                            {% for release in music.releases %}
                            <li>
                              <span>{{ release.title }}</span>
                              <time class="recording-info__date" datetime="{{ release.date.isoformat() }}">
                                ({{ release.date.strftime('%B %Y') }})
                              </time>
                            </li>
                            {% endfor %}
                          </ul>
                        </span>
                      {% elif music.date %}
                        <time class="recording-info__date" datetime="{{ music.date.isoformat() }}">
                          {{ music.date.strftime('%B %Y') }}
                        </time>
                      {% endif %}
                    </div>
                  {% endif %}
  
                  {% if music.tags %}
                    <div class="music__tags">
                      <ul class="only-comma-list">{% for tag in music.tags %}<li>{{ tag }}</li>{% endfor %}</ul>
                    </div>
                  {% endif %}

                </section>

              </section>
            </li>


          {% endfor %}
        </ul>
        {% endif %}
      </section>
    {% endfor %}

  </main>

  <footer>
    <p>
      This webpage was generated with <a href="{{ project_url }}" target="_blank">seashells</a>
      which is based on the <a href="https://musicbrainz.org/doc/MusicBrainz_API" target="_blank">MusicBrainz API</a>.
    </p>
  </footer>

</body>

</html>
